### Method

# Ide Workbench open_at_async

#### Declaration

    void
    ide_workbench_open_at_async (
      IdeWorkbench* self,
      GFile* file,
      const gchar* hint,
      gint at_line,
      gint at_line_offset,
      IdeBufferOpenFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Like ide_workbench_open_async(), this allows opening a file within the workbench. However, it also allows specifying a line and column offset within the file to focus. Usually, this only makes sense for files that can be opened in an editor.

`at_line` and `at_line_offset` may be < 0 to ignore the parameters.

`flags` may be ignored by some backends

Use `ide_workbench_open_finish()` to receive teh result of this asynchronous operation.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`hint` | `const gchar*`
| An optional hint about what addin to use.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`at_line` | `gint`
| The line number to open at, or -1 to ignore.
`at_line_offset` | `gint`
| The line offset to open at, or -1 to ignore.
`flags` | `IdeBufferOpenFlags`
| Optional `IdeBufferOpenFlags`.
`cancellable` | `GCancellable`
| A `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.